Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #2208 (new defect)

Opened 13 years ago

Last modified 12 years ago

WDS: unable to ping

Reported by: neoxhk@hotmail.com Assigned to:
Priority: major Milestone:
Component: madwifi: other Version: v0.9.4
Keywords: WDS unable ping madwifi Cc:
Patch is attached: 0 Pending: 0

Description

I can´t ping between two PC configured in WDS with the commands below. I use Ubuntu 8.10 and madwifi 0.9.4 from Synaptic. PC1:

wlanconfig ath0 create wlandev wifi0 wlanmode ap
wlanconfig ath1 create wlandev wifi0 wlanmode wds
iwconfig ath0 essid "myid" channel 1
iwpriv ath1 wds_add <mac_pc2>
iwpriv ath1 wds 1
ifconfig ath1 up
ifconfig ath0 up
brctl addbr br0
brctl addif br0 ath1
brctl addif br0 ath0
ifconfig br0 10.0.0.1 up

PC2:

wlanconfig ath0 create wlandev wifi0 wlanmode ap
wlanconfig ath1 create wlandev wifi0 wlanmode wds
iwconfig ath0 essid "myid" channel 1
iwpriv ath1 wds_add <mac_pc1>
iwpriv ath1 wds 1
ifconfig ath1 up
ifconfig ath0 up
brctl addbr br0
brctl addif br0 ath1
brctl addif br0 ath0
ifconfig br0 10.0.0.2 up

What is not correct?? Thanks.

Change History

(follow-up: ↓ 2 ) 12/20/08 03:15:10 changed by emul

Hello,

Could you tell us exactly what your addresses <mac_pc1> and <mac_pc2> are? I am assuming you're the person who reported on the #madwifi IRC channel this ifconfig / iwconfig output as a result of interface configuration commands similar to the ones given above:

PC1:
root@popo-desktop:~# ifconfig ath0
ath0      Link encap:Ethernet  direcciónHW 06:1c:f0:d6:f6:5d  
          inet dirección:10.0.0.2  Difusión:10.255.255.255  Máscara:255.0.0.0
          dirección inet6: fe80::41c:f0ff:fed6:f65d/64 Alcance:Vínculo
          ARRIBA DIFUSIÓN MULTICAST  MTU:1500  Métrica:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2 errors:0 dropped:32 overruns:0 carrier:0
          colisiones:0 txqueuelen:0 
          RX bytes:0 (0.0 B)  TX bytes:168 (168.0 B)

root@popo-desktop:~# iwconfig ath0
ath0      IEEE 802.11g  Nickname:""
          Mode:Repeater  Frequency:2.412 GHz  Access Point: 00:20:A6:58:2E:3E   
          Bit Rate:0 kb/s   Tx-Power:18 dBm   Sensitivity=1/1  
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=0/70  Signal level=-94 dBm  Noise level=-94 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

PC2:
root@laptop-desktop:~# ifconfig

ath0      Link encap:Ethernet  direcciónHW 00:20:a6:58:2e:3e  
          inet dirección:10.0.0.1  Difusión:10.255.255.255  Máscara:255.0.0.0
          ARRIBA DIFUSIÓN MULTICAST  MTU:1500  Métrica:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:27 overruns:0 carrier:0
          colisiones:0 txqueuelen:0 
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)

root@laptop-desktop:~# iwconfig ath0

ath0      IEEE 802.11g  Nickname:""

          Mode:Repeater  Frequency:2.412 GHz  Access Point: 06:1c:f0:d6:f6:5d   
          Bit Rate:0 kb/s   Tx-Power:18 dBm   Sensitivity=1/1  
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=0/70  Signal level=-94 dBm  Noise level=-94 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

Are you sure, you are using the same MadWifi version on both sides? If so, then there is something that looks suspicious to me: On PC1, ath0 has 0x06 as the first byte of its address. This looks like a MadWifi VAP address. (Locally administered bit is set, bits to the left of that bit are used to enumerate the VAPs). On PC2 however, the first address byte of ath0 is 0x00, making it look like a plain vanilla MAC address. Likewise, but swapped, for the WDS counterpart addresses shown by iwconfig.

I am not sure which address one needs to supply in the command:

iwpriv ath<n> wds_add <mac_addr>

a VAP MAC address or a card MAC address, but I would guess the latter.

BTW, I don't think it is necessary to also set the WDS flag (iwpriv ath<n> wds 1) when using WDS mode, as the use of 4-address frame headers is implied.

(in reply to: ↑ 1 ) 12/22/08 12:57:40 changed by neoxhk@hotmail.com

Replying to emul:

Hello, Could you tell us exactly what your addresses <mac_pc1> and <mac_pc2> are? I am assuming you're the person who reported on the #madwifi IRC channel this ifconfig / iwconfig output as a result of interface configuration commands similar to the ones given above: ...

Hello, I was the person who reported on madwifi IRC. I'm going to tell you more information.

PC1:
Wifi adapter: D-Link DWL-G520 PciMAC: 00:1c:f0:d6:f6:5d[[BR]] MAC after the first comand: 06:1c:f0:d6:f6:5d[[BR]] Ubuntu Intrepid 8.10 kernel 2.6.27-7-generic
Software from Synaptics:
Madwifi-tools: 0.9.4 rc2+dfsg-1
hostapd: 0.5.10-1
bridge-utils 1.4-3

PC2: Wifi adapter: Proxim Orinoco 8470-WD PCMCIA
MAC: 00:20:a6:58:2e:3e[[BR]] Ubuntu Intrepid 8..10 kernel 2.6.27-9-generic
Software from Synaptics:
Madwifi-tools: 0.9.4 rc2+dfsg-1
hostapd: 0.5.10-1
bridge-utils 1.4-3

I've tested without iwpriv ath<n> wds 1 and it's the same. I can't ping. Any idea? Thank you very much.

(follow-up: ↓ 4 ) 03/03/09 23:40:19 changed by neoxhk@hotmail.com

Could someone help me?

(in reply to: ↑ 3 ) 06/22/09 10:41:40 changed by anonymous

Replying to neoxhk@hotmail.com:

Could someone help me?

Hi

Have a look what your Bridge is doing, does it forward the packets it is getting or does it drop ? YOU can use ebtables. Then you should set the wds VAP to ACCEPT the packet FORWARD setting. Hope it works

# ebtables -L Bridge table: filter

Bridge chain: INPUT, entries: 0, policy: ACCEPT

Bridge chain: FORWARD, entries: 2, policy: DROP -i eth2 -o eth0 -j ACCEPT -i eth0 -o eth2 -j ACCEPT

Bridge chain: OUTPUT, entries: 0, policy: ACCEPT

# ebtables -A FORWARD -o eth0 -j ACCEPT # ebtables -A FORWARD -o eth2 -j ACCEPT # ebtables -A FORWARD -o wds0 -j ACCEPT # ebtables -A FORWARD -o wds1 -j ACCEPT # ebtables -A FORWARD -o wds2 -j ACCEPT # ebtables -A FORWARD -o wds3 -j ACCEPT

07/08/09 12:14:19 changed by anonymous

which revision you are using if its a latest revision each interface it will create different MAC address in that first octet will differ check the MAC addres